file_length    = 160.0;
file_width     =  20.0;
file_thickness =   4.5;

notch_width = 30.0;
notch_depth = 10.0;

top_thickness      = 3.0;
overhang_thickness = 2.0;
overhangs          = 1.5;
drop_from_table    = 0.5;

difference() {
    cube([
        file_length,
        notch_width,
        file_width
            + notch_depth
            - overhangs
            - drop_from_table
            + top_thickness
    ]);
    
    translate([
        0.0,
        top_thickness,
        notch_depth - overhangs - drop_from_table
    ])
    cube([file_length, file_thickness, file_width]);
    
    translate([0.0, 0.0, notch_depth - drop_from_table])
    cube([file_length, top_thickness, file_width - 2 * overhangs]);
}
